# uproot.source.futures.ResourceFuture

Defined in uproot.source.futures on line 284.

Inheritance order:
uproot.source.futures.Future

class uproot.source.futures.ResourceFuture(task)
  Parameters:

    task (function) – The function to evaluate with a uproot.source.chunk.Resource as its first argument.

  A uproot.source.futures.Future that uses the uproot.source.chunk.Resource associated with the uproot.source.futures.ResourceWorker that runs it.

## result

Inherited from uproot.source.futures.Future.

ResourceFuture.result(timeout=None)

  Waits until the task completes (with a `timeout`) and returns its result.

  If the task raises an exception in its background thread, this function raises that exception on the thread on which it is called.